# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: bzip2 ccache clisp distcc gcc-c++ git-core
# END SourceDeps(oneline)
Name:           minion
Version:        1.6.1        
Release:        alt1_13
Summary:        Fast, Scalable Constraint Solving

Group:          Development/C
License:        GPLv2+
URL:            http://minion.sourceforge.net/
Source0:        %{name}-%{version}-linux-without-nauty.tar.gz
#
# clean release source of naughty non free library
#
Source1:        minion-generate-tarball.sh
#
# patch0 : add custom option to add capability to set the fedora flags in another variable
# patch reported to upstream : https://mail.cs.st-andrews.ac.uk/pipermail/mug/2010-August/000061.html
#
Patch0:         %{name}-%{version}-patch0-add-custom-compil-flags-options.patch

BuildRequires: ctest cmake
BuildRequires: boost-devel boost-devel-headers boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
Source44: import.info

%package examples
Summary:        Example code for %{name}
Group:          Documentation
Requires:       %{name} = %{version}
BuildArch:      noarch

%description
MINION is a new constraint solver, which is very fast and scales
well as problem size increases. Empirical results on standard
benchmarks show orders of magnitude performance gains over
state-of-the-art constraint toolkits. These gains increase with
problem size --- MINION delivers scalable constraint solving.

%description examples
The %{name}-examples package contains example code for %{name}.

%prep
%setup -q
%patch0 -p1
#
# set good rights to headers for debuginfo package
#
find . \( -name "*.h" -o -name "*.hpp" \) -exec chmod 0644 {} \;
#
# suppress -s to linking flags (otherwise no debuginfo)
#
sed -i "/set(CMAKE_EXE_LINKER_FLAGS/s/-s//g" CMakeLists.txt
#
# unbzip2 minion compressed file in examples dirs
#
find ./benchmarks ./generators -type f -name *.bz2 -exec bzip2 -d {} \;
#
# supress windows EOL style
#
find ./benchmarks ./generators -type f -exec sed -i 's/\r//' {} \;

%build
mkdir builddir
pushd builddir
%{fedora_cmake} -DCUSTOM_CXX_FLAGS=1 \
       -DCUSTOM_MINION_CFLAGS:STRING="%{optflags}" \
       -DNAUTY=0 ..
#
# disable ?_smp_mflags due to koji restriction
# compilling multiple file in parallel consume too
# memory and cause gcc bugs. 
#
make VERBOSE=1 api-doc
make VERBOSE=1

%install
# set good rights to examples files
find ./benchmarks ./generators -type f -exec chmod 0644 {} \;

# install executable
install -m 0755 -D -p ./builddir/%{name} %{buildroot}%{_bindir}/%{name}

# useless Lisp files not to be installed
# see devel comment : https://mail.cs.st-andrews.ac.uk/pipermail/mug/2010-August/000059.html
find . -type f -name *.lsp -delete

%files
%{_bindir}/%{name}
%doc README
%doc LICENSE.txt
%doc docs/Manual.pdf

%files examples
%doc benchmarks
%doc generators

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_13
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_5
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_4
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_2
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_6
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_4
- initial fc import

